VSTGUI: MovieBitmapCreator Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
MovieBitmapCreator Struct Reference

`#include <moviebitmapcreator.h>`

Inheritance diagram for MovieBitmapCreator:

## Public Member Functions
| MovieBitmapCreator ()
IdStringPtr | getViewName () const override
IdStringPtr | getBaseViewName () const override
UTF8StringPtr | getDisplayName () const override
CView * | create (const UIAttributes &attributes, const IUIDescription *description) const override
Public Member Functions inherited from MultiBitmapControlCreator
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
Public Member Functions inherited from ViewCreatorAdapter
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const override
UTF8StringPtr | getDisplayName () const override
Public Member Functions inherited from IViewCreator
virtual | ~IViewCreator () noexcept=default
virtual IdStringPtr | getViewName () const =0
virtual IdStringPtr | getBaseViewName () const =0
virtual CView * | create (const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | getAttributeNames (StringList &attributeNames) const =0
virtual AttrType | getAttributeType (const string &attributeName) const =0
virtual bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const =0
virtual bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const =0
virtual bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const =0
virtual UTF8StringPtr | getDisplayName () const =0

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType , kBooleanType , kIntegerType , kFloatType , kStringType , kColorType , kFontType , kBitmapType , kPointType , kRectType , kTagType , kListType , kGradientType }
using | string = std::string
using | StringList = std::list< string >
using | ConstStringPtrList = std::list< const string * >

## Constructor & Destructor Documentation

## ◆ MovieBitmapCreator()

MovieBitmapCreator | ( |  | ) |

## Member Function Documentation

## ◆ create()

CView * create | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| overridevirtual

Implements IViewCreator.

## ◆ getBaseViewName()

IdStringPtr getBaseViewName | ( |  | ) | const
| overridevirtual

Implements IViewCreator.

## ◆ getDisplayName()

UTF8StringPtr getDisplayName | ( |  | ) | const
| overridevirtual

Reimplemented from ViewCreatorAdapter.

## ◆ getViewName()

IdStringPtr getViewName | ( |  | ) | const
| overridevirtual

Implements IViewCreator.

The documentation for this struct was generated from the following files:

- moviebitmapcreator.h
- moviebitmapcreator.cpp